<nz-card style="margin-top: 10px" nzTitle="Inventory ({{ itemsCount }} / 50)" [nzExtra]="extraInventory" nzSize="small">
  <div nz-row>
    <div nz-col nzXs="24" nzLg="12" nzXXl="8" *ngFor="let row of items" class="item-column">
      <div nz-row>
        <div nz-col nzXs="8" nzSm="8" nzMd="8" nzLg="8" nzXXl="8" *ngFor="let item of row" class="item-column">

          <nz-card [nzActions]="canEdit ? [actionSetting, actionEdit, actionEllipsis] : [actionSetting, actionEdit]"
            style="margin-top: 3px; margin-right: 3px">
            <div style="text-align: center;">
              <img [alt]="item.name" [src]="item.icon" width="30" height="30" />
            </div>
          </nz-card>
          <ng-template #actionSetting>
            <span innerHtml="{{ item?.quality | q }}"></span>
          </ng-template>
          <ng-template #actionEdit>
            <div class="quantity">{{ item.amount }}</div>
          </ng-template>
          <ng-template #actionEllipsis>
            <button *ngIf="canEdit" nz-button nzShape="round" nzSize="small" nzDanger nz-tooltip
              nzTooltipTitle="{{'Entity.Inventory.modifyItem' | translate}}" (click)="showModifyForm(item)">
              <i class="fas fa-cog"></i>
            </button>
          </ng-template>

        </div>
      </div>
    </div>
  </div>
  <ng-template #extraInventory>
    <div style="display: flex; align-items: center">
      <nz-button-group>
        <button *ngIf="profile?.entityType.toLowerCase() === 'citizen'" nz-button nzShape="round" nzType="primary"
          (click)="isSettingsModalVisible = !isSettingsModalVisible" style="background-color: #5291ca">
          <i class="fas fa-cog"></i>
        </button>
        <button nz-button nzShape="round" nzType="primary" style="background-color: #5291ca"
          [routerLink]="['/market', 'items']">
          {{ "Citizen.Inventory.BuyFromMarketplace" | translate }}
        </button>
      </nz-button-group>
    </div>
  </ng-template>
</nz-card>

<nz-modal [(nzVisible)]="isSettingsModalVisible" [nzTitle]="modalTitle" [nzContent]="modalContent"
  [nzFooter]="modalFooter" (nzOnCancel)="isSettingsModalVisible = !isSettingsModalVisible" nzWidth="80%">
  <ng-template #modalTitle> {{ "Common.Buttons.Settings" | translate }} </ng-template>

  <ng-template #modalContent>
    <h3 style="margin: 10px 0 10px 0">
      {{ "Citizen.Inventory.SelectOrderOfFood" | translate }}:
    </h3>
    <h4 style="margin: 10px 0 10px 0">{{ "Economy.Market.ChooseQuality" | translate }}:</h4>
    <nz-radio-group [(ngModel)]="foodQuality">
      <label nz-radio [nzValue]="1"><span innerHtml="{{ 1 | q }}"></span></label>
      <label nz-radio [nzValue]="2"><span innerHtml="{{ 2 | q }}"></span></label>
      <label nz-radio [nzValue]="3"><span innerHtml="{{ 3 | q }}"></span></label>
    </nz-radio-group>

    <h4 style="margin: 10px 0 10px 0">{{ "Economy.Market.Amount" | translate }}:</h4>
    <nz-input-number nzMin="1" nzMax="10" [nzStep]="1" [(ngModel)]="foodAmount"></nz-input-number>
  </ng-template>

  <ng-template #modalFooter>
    <button nz-button nzType="default" nzShape="round" (click)="toggleSettingsModal()">
      {{ "Common.Buttons.Close" | translate }}
    </button>
    <button nz-button nzType="primary" nzShape="round" (click)="saveSettings()">{{ "Common.Buttons.Save" | translate
      }}</button>
  </ng-template>
</nz-modal>


<nz-modal nzVisible *ngIf="modifyForm !== undefined" nzTitle="{{'Entity.Inventory.editItem' | translate}}" (nzOnCancel)="modifyForm = undefined"
  (nzOnOk)="submitModifyForm()" [nzOkLoading]="isLoading">
  <ng-container *nzModalContent>

    <nz-spin [nzSpinning]="isLoading">
      <form nz-form [formGroup]="modifyForm">

        <nz-descriptions nzSize="small">
          <nz-descriptions-item nzTitle="{{'Economy.Item.Item' | translate}}" [nzSpan]="3">{{ selectedItem.name }}</nz-descriptions-item>
          <nz-descriptions-item nzTitle="{{'Common.Quality' | translate}}" [nzSpan]="3">{{ selectedItem.quality }}</nz-descriptions-item>
          <nz-descriptions-item nzTitle='{{ "Citizen.Inventory.currentAmount" | translate }}' [nzSpan]="3">{{ selectedItem.amount }}</nz-descriptions-item>
        </nz-descriptions>

        <nz-form-item>
          <nz-form-label [nzSm]="6" [nzXs]="24" nzRequired>{{ "Entity.action" | translate }}</nz-form-label>
          <nz-form-control [nzSm]="14" [nzXs]="24">
            <nz-select formControlName="action" style="width: 100%">
              <nz-option nzValue="+" nzLabel="Give"></nz-option>
              <nz-option nzValue="-" nzLabel="Take"></nz-option>
            </nz-select>
          </nz-form-control>
        </nz-form-item>

        <nz-form-item>
          <nz-form-label [nzSm]="6" [nzXs]="24" nzRequired>{{'Entity.amount' | translate}}</nz-form-label>
          <nz-form-control [nzSm]="14" [nzXs]="24">
            <input nz-input formControlName="amount" />
          </nz-form-control>
        </nz-form-item>

        <nz-form-item>
          <nz-form-label [nzSm]="6" [nzXs]="24" nzRequired>{{'Common.Reason' | translate}}</nz-form-label>
          <nz-form-control [nzSm]="14" [nzXs]="24">
            <textarea rows="4" nz-input formControlName="reason"></textarea>
          </nz-form-control>
        </nz-form-item>
      </form>
    </nz-spin>

  </ng-container>
</nz-modal>
